"use strict";
/* Socket Lib - Built with rolldown */
Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

//#region src/node/fs-promises.ts
let _fsPromises;
/*@__NO_SIDE_EFFECTS__*/
function getNodeFsPromises() {
	return _fsPromises ??= /*@__PURE__*/ require("node:fs/promises");
}

//#endregion
exports.getNodeFsPromises = getNodeFsPromises;